WordPress.org

Support

Support » How-To and Troubleshooting » Geo Plugin problem but was working before

Geo Plugin problem but was working before

  • Hi all,

    I’ve had the Geo plugin working with my WP install for a little while but something happened and I believe it could be to do with the $postdata variable and a recent upgrade to 1.5.1.1. One of the functions in the plugin goes like this:

    function edit_form_advanced($not_used)
    {
    global $postdata;

    $geolocations = get_settings('geo_locations');

    echo '<fieldset><legend><a href="http://www.asymptomatic.net/_wiki/GeoPlugin">' . __('Location', 'Geo') . '</a></legend>';

    echo ("Postdata is: " . $postdata);

    if(!in_array('post_lon', array_keys(get_object_vars($postdata))))
    {
    if(!Geo::prepare_database())
    {
    echo '</fieldset>';
    return;
    }
    }

    There’s more to that function but it’s crashing out on the !in_array line because $postdata doesn’t seem to be an array. In fact it seems to be blank. Anyone have any idea on whether the recent bug fixes would have messed it up?

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Geo Plugin problem but was working before’ is closed to new replies.
Skip to toolbar